Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext
Interface LinkerContext

    public interface LinkerContext

Provides access to data about the linking process. Methods that return a `SortedSet` are guaranteed to have stable iteration order between runs of the compiler over identical input. Unless otherwise specified, the exact iteration order is left as an implementation detail.

Method Summary
`java.lang.String` | `getModuleFunctionName()` Returns the name of the module's bootstrap function.
`java.lang.String` | `getModuleName()` Returns the name of the module being compiled.
`java.util.SortedSet<SelectionProperty>` | `getProperties()` Returns all deferred binding properties defined in the module.
`boolean` | `isOutputCompact()` Returns `true` if the output should be as compact is possible and `false` if the output should be human-readable.
`java.lang.String` | `optimizeJavaScript(TreeLogger logger, java.lang.String jsProgram)` Applies optimizations to a JavaScript program.

Method Detail

### getModuleFunctionName

    java.lang.String getModuleFunctionName()

  Returns the name of the module's bootstrap function.

### getModuleName

    java.lang.String getModuleName()

  Returns the name of the module being compiled.

### getProperties

    java.util.SortedSet<SelectionProperty> getProperties()

  Returns all deferred binding properties defined in the module. The SelectionProperties will be sorted by the standard string comparison function on the name of the property.

### isOutputCompact

    boolean isOutputCompact()

  Returns `true` if the output should be as compact is possible and `false` if the output should be human-readable.

### optimizeJavaScript

    java.lang.String optimizeJavaScript(TreeLogger logger,
                                        java.lang.String jsProgram)
                                        throws UnableToCompleteException

  Applies optimizations to a JavaScript program. This method is intended to be applied to bootstrap scripts in order to apply context-specific transformations to the program, based on the compiler's configuration. The return value will be functionally-equivalent JavaScript, although the exact transformations and structure of the output should be considered opaque. While this function can be safely applied multiple times, the best results will be obtained by performing all JavaScript assembly and calling the function just before writing the selection script to disk.

  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD